readline (8.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for crash with invalid locale. (Closes: #1021062)

 -- Adrian Bunk <bunk@debian.org>  Sat, 15 Oct 2022 14:47:17 +0300

readline (8.2-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Sep 2022 16:24:54 +0200

readline (8.2~rc2-2) unstable; urgency=medium

  * /etc/inputrc: Add options to make autocompletion case insensitive
    and display suggestions, commented out by default. See #990353.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Aug 2022 16:40:30 +0200

readline (8.2~rc2-1) experimental; urgency=medium

  * New upstream snapshot 8.2 rc2.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Aug 2022 10:43:09 +0200

readline (8.2~rc1-1) experimental; urgency=medium

  * New upstream snapshot 8.2 rc1.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 14:28:51 +0200

readline (8.2~beta-2) experimental; urgency=medium

  * New upstream snapshot 8.2 beta 1.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Jun 2022 09:42:22 +0200

readline (8.1.2-1.2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Apr 2022 20:23:20 +0200

readline (8.1.2-1.1) experimental; urgency=medium

  * Non-Maintainer Upload.
  * Add libreadline8-udeb and readline-common-udeb packages.
    Closes: #1002508.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Apr 2022 16:43:54 +0200

readline (8.1.2-1) unstable; urgency=medium

  * New upstream patch release.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Jan 2022 17:26:54 +0100

readline (8.1-2) unstable; urgency=medium

  * Apply upstream patch 001.

 -- Matthias Klose <doko@debian.org>  Mon, 10 May 2021 09:01:33 +0200

readline (8.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Dec 2020 07:58:34 +0100

readline (8.1~rc3-1) unstable; urgency=medium

  * New upstream release candidate 3.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Nov 2020 16:20:00 +0100

readline (8.1~rc2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Nov 2020 08:10:55 +0100

readline (8.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate 2.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Nov 2020 17:48:26 +0100

readline (8.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate 1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Oct 2020 17:35:51 +0200

readline (8.1~beta1-1) experimental; urgency=medium

  * New upstream snapshot 8.1 alpha 1.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Sep 2020 13:49:39 +0200

readline (8.1~alpha1-1) experimental; urgency=medium

  * New upstream snapshot 8.1 alpha 1.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2020 19:34:23 +0200

readline (8.0-4) unstable; urgency=medium

  * Apply upstream patches 002 - 004.
  * Bump the standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Feb 2020 12:48:50 +0100

readline (8.0-3) unstable; urgency=medium

  * Apply upstream patch 001.
  * Make the cross built libreadline8 work again (Helmut Grohne).
    Closes: #932023.
  * Make the build reproducible (Chris Lamb). Closes: #935363.
  * Install the pkg-config file. Closes: #901650.
  * Bump the standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2019 12:57:05 +0200

readline (8.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Jul 2019 00:14:36 +0200

readline (8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Jan 2019 16:23:44 +0100

readline (8.0~beta2-1) experimental; urgency=medium

  * New upstream beta release.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Dec 2018 19:37:20 +0100

readline (8.0~beta1-1) experimental; urgency=medium

  * New upstream beta release.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Oct 2018 16:10:54 +0200

readline (8.0~alpha1-1) experimental; urgency=medium

  * New upstream alpha release.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Jun 2018 23:27:39 +0200

readline (7.0-5) unstable; urgency=medium

  * More updates for the new ncurses build dependencies.

 -- Matthias Klose <doko@debian.org>  Sat, 05 May 2018 16:52:46 +0200

readline (7.0-4) unstable; urgency=medium

  * Update ncurses build dependencies. Closes: #897403.
  * Stop building the libreadline7-dbg package.

 -- Matthias Klose <doko@debian.org>  Wed, 02 May 2018 13:36:22 +0200

readline (7.0-3) unstable; urgency=medium

  * Apply upstream patches 002 and 003. Closes: #852750.

 -- Matthias Klose <doko@debian.org>  Mon, 15 May 2017 13:00:23 -0700

readline (7.0-2) unstable; urgency=medium

  * Apply upstream patch 001.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Jan 2017 16:17:33 +0100

readline (7.0-1) unstable; urgency=medium

  * Readline 7.0 release.
  * libreadline-dev: Provide libreadline6-dev.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Oct 2016 00:07:07 +0200

readline (7.0~rc2-1) experimental; urgency=medium

  * Readline 7.0 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Aug 2016 09:59:15 +0200

readline (7.0~rc1+b2-1) experimental; urgency=medium

  * New upstream tarball, called "7.0 beta2".

 -- Matthias Klose <doko@debian.org>  Mon, 25 Jul 2016 20:48:12 +0200

readline (7.0~rc1-1) experimental; urgency=medium

  * Readline 7.0 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Mar 2016 21:42:41 +0100

readline (7.0~beta-1) experimental; urgency=medium

  * Readline 7.0 beta release.
  * Stop building versioned -dev packages.
  * debian/copyright: Mention GFDL for documentation files.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Feb 2016 12:27:41 +0100

readline6 (6.3-8) unstable; urgency=medium

  * Split out a readline-doc package for documentation and examples.
    Closes: #749168.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Aug 2014 19:13:20 +0200

readline6 (6.3-7) unstable; urgency=medium

  * Apply upstream patches 001 - 006. Fixes:
    - The `.' command in vi mode cannot undo multi-key commands beginning with
      `c', `d', and `y' (command plus motion specifier).
    - When in callback mode, some readline commands can cause readline to
      segfault by passing invalid contexts to callback functions.
    - There are debugging functions in the readline release that are
      theoretically exploitable as security problems.
      They are not public functions, but have global linkage.
    - The signal handling changes to bash and readline (to avoid running any
      code in a signal handler context) cause the cursor to be placed on the
      wrong line of a multi-line command after a ^C interrupts editing.
    - There are still applications using the deprecated Function/VFunction/etc.
      typedefs in rltypedefs.h.  This patch restores the typedefs, but attempts
      to mark them as deprecated using gcc/clang attributes.
    - Using reverse-i-search when horizontal scrolling is enabled does not
      redisplay the entire line containing the successful search results.
  * Remove local patches included in the upstream updates.
  * Apply upstream bash patch bash43-021:
    - When the readline `revert-all-at-newline' option is set, pressing newline
      when the current line is one retrieved from history results in a double
      free and a segmentation fault.
  * Add home code for rxvt in inputrc. Closes: #722087.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Aug 2014 18:34:31 +0200

readline6 (6.3-6) unstable; urgency=medium

  * Really apply the patch to fix the display issue when a multiline
    command is aborted with ^C. Closes: #743603.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Apr 2014 13:18:20 +0200

readline6 (6.3-5) unstable; urgency=medium

  * Fix a display issue when a multiline command is aborted with ^C.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Mar 2014 18:03:53 +0100

readline6 (6.3-4) unstable; urgency=medium

  * Fix an issue in vi-mode, not re-doing the latest "dw", "dl", "D", ...
    commands.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Mar 2014 18:35:48 +0100

readline6 (6.3-3) unstable; urgency=medium

  * Fix patching the installed example Makefile.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Mar 2014 17:07:30 +0100

readline6 (6.3-2) unstable; urgency=medium

  * Fix segfault in _rl_dispatch_callback(). Closes: #741555.
  * Remove build specific paths from the installed examples Makefile.
    Closes: #670030, #693248.
  * 6.3 includes the documentation again. Closes: #726581.
  * Fix symbols file for non-linux architectures.
  * Fix build warning building rlfe (assignment makes pointer from integer
    without a cast).
  * Fix lintian permission warnings.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Mar 2014 13:42:21 +0100

readline6 (6.3-1) unstable; urgency=medium

  * readline 6.3 release.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Mar 2014 08:24:21 +0100

readline6 (6.2-9) unstable; urgency=low

  * Apply upstream patches 002 - 004. Fixes:
    - The readline shared library helper script needs to be updated for
      Mac OS X 10.7 (Lion, darwin11).
    - A change between readline-6.1 and readline-6.2 to prevent the readline
      input hook from being called too frequently had the side effect of
      causing delays when reading pasted input on systems such as Mac OS X.
      This patch fixes those delays while retaining the readline-6.2 behavior.
      Closes: #687100.
    - Attempting to redo (using `.') the vi editing mode `cc', `dd', or `yy'
      commands leads to an infinite loop.
  * Make examples Makefile Multi-Arch installable (Shawn Landden).
    Closes: #670030.
  * Fix building with -Wformat-security, and pass CPPFLAGS (Simon Ruderich).
    Closes: #687717.

 -- Matthias Klose <doko@debian.org>  Mon, 17 Sep 2012 14:10:00 +0200

readline6 (6.2-8) unstable; urgency=low

  * Mark readline-common Multi-Arch: foreign. Closes: #648098.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Nov 2011 23:21:05 +0100

readline6 (6.2-7) unstable; urgency=low

  * Fix build failure on hurd-i386 (Samuel Thibault). Closes: #644777.
  * Use dpkg-buildflags to set CFLAGS and LDFLAGS.

 -- Matthias Klose <doko@debian.org>  Sun, 09 Oct 2011 11:23:45 +0200

readline6 (6.2-6) unstable; urgency=low

  * lib{,32}readline6-dev: Depend on lib{,32}tinfo-dev instead of
    lib{,32}ncurses5-dev.
  * Don't link rlfe against any libncurses* library.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Oct 2011 16:33:44 +0200

readline6 (6.2-5) unstable; urgency=low

  * Do not link against any libncurses* library, just against libtinfo.
  * Fix corrupt display for history search in vi-mode, 256-color prompt
    (Micah Cowan). Closes: #614718, LP: #721982.
  * Remove unused build-dep on lsb-release. Closes: #642383.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Oct 2011 11:56:50 +0200

readline6 (6.2-4) unstable; urgency=low

  * Fix broken .so symlinks.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Aug 2011 10:08:49 +0200

readline6 (6.2-3) unstable; urgency=low

  * Add multi-arch support (Riku Voipio). Closes: #638850.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Aug 2011 00:25:58 +0200

readline6 (6.2-2) unstable; urgency=low

  * Re-apply patch from 6.1-3, fixing kfreebsd build failure. Closes: #626704.

 -- Matthias Klose <doko@debian.org>  Wed, 18 May 2011 12:04:44 +0200

readline6 (6.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Apr 2011 14:37:46 +0200

readline6 (6.2~alpha1-1) experimental; urgency=low

  * New upstream version, first alpha release.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Nov 2010 10:30:08 +0100

readline6 (6.1-3) unstable; urgency=low

  * Fix build failure on kfreebsd. Closes: #577234.

 -- Matthias Klose <doko@debian.org>  Sun, 30 May 2010 20:31:27 +0200

readline6 (6.1-2) unstable; urgency=low

  * Apply upstream patches 
  * rlfe: Provide readline-editor. Closes: #565964.
  * Use source format 3.0.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Apr 2010 13:28:58 +0200

readline6 (6.1-1) unstable; urgency=low

  * New upstream version, final release.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jan 2010 13:29:08 +0100

readline6 (6.1~rc1-1) unstable; urgency=low

  * New upstream version, release candidate 1.
  * Add symbols files.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Dec 2009 15:02:07 +0100

readline6 (6.0-5) unstable; urgency=low

  * Fix rlfe, always writing a history file (Andrew Pimlott).
    Closes: #544944.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Sep 2009 10:36:09 +0200

readline6 (6.0-4) unstable; urgency=low

  * libreadline6-dev: Conflict with libreadline5-dev. Closes: #544082.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Aug 2009 12:38:02 +0200

readline6 (6.0-3) unstable; urgency=low

  * Add a package libreadline-dev to be used as a build dependency,
    independent of the readline version.
  * Add cross build support (closes: #465237).
  * Clarify package description (closes: #478276) and comment in
    inputrc file (closes: #501671).

 -- Matthias Klose <doko@debian.org>  Mon, 24 Aug 2009 04:26:15 +0200

readline6 (6.0-2) unstable; urgency=low

  * Apply upstream patch 004.
  * Fix package sections and priorities and lintian warnings.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Aug 2009 17:37:21 +0200

readline6 (6.0-1) experimental; urgency=low

  * New upstream version, final release.
  * Apply upstream patches 001 - 003.

 -- Matthias Klose <doko@debian.org>  Sun, 28 Jun 2009 19:18:02 +0200

readline6 (6.0~beta-0ubuntu1) jaunty; urgency=low

  * New upstream version, 6.0 beta.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Nov 2008 17:56:45 +0100

readline5 (5.2-4) unstable; urgency=low

  * Apply upstream patches up to readline52-013. Closes: #494934.
  * Remove the patch introduced in 5.2-3.1, obsoleted by the upstream
    patches.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Feb 2009 19:00:38 +0100

readline5 (5.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply rl-input-eventhook.dpatch: Fix input data validation when run with
    rl_event_hook. Closes: #498277.

 -- Arnaud Cornet <acornet@debian.org>  Sat, 10 Jan 2009 17:06:46 +0100

readline5 (5.2-3) unstable; urgency=low

  * Build-depend on gcc-multilib instead of lib{32,64}c*-dev-*.
    Closes: #423995.
  * Apply upstream patch readline52-001 (readline neglects to reallocate
    the array it uses to keep track of wrapped screen lines when increasing
    its size.  This will eventually result in segmentation faults when given
    sufficiently long input.
  * Apply upstream patch readline52-003 and readline52-004, fixes
    for displaying the prompt.
  * Link biarch builds against ncurses.

 -- Matthias Klose <doko@debian.org>  Thu, 24 May 2007 23:49:39 +0200

readline5 (5.2-2) unstable; urgency=low

  * Apply upstream patch readline52-001 (incorrect display position
    with multibyte characters).

 -- Matthias Klose <doko@debian.org>  Tue, 19 Dec 2006 16:28:28 +0100

readline5 (5.2-1) unstable; urgency=low

  * New upstream version.
  * Removed patches applied upstream: rlfe-pts, rl-inputrc.
  * readline-common: Don't conflict with libreadine4, keep the replaces;
    eases upgrades from MySQL 5 databases. Closes: #387966.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Oct 2006 13:54:43 +0200

readline5 (5.1-9) unstable; urgency=low

  * Fix libc dependencies for the lib32readline5{,-dev} packages.
    Closes: #386345.
  * Set DEB_BUILD_GNU_TYPE. Closes: #390372.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Sep 2006 21:04:52 +0000

readline5 (5.1-8) unstable; urgency=low

  * Build 32bit packages for amd64 and ppc64. Closes: #384198.
  * Apply cross-compilation fixes, but keep the dependency on readline-common.
    Closes: #358767.
  * Fix build failure on ppc64. Closes: #361193.

 -- Matthias Klose <doko@debian.org>  Mon,  4 Sep 2006 00:15:39 +0200

readline5 (5.1-7) unstable; urgency=low

  * Apply upstream patches 003, 004.
  * Remove build dependency on ia32-libs-dev.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Mar 2006 23:39:50 +0000

readline5 (5.1-6) unstable; urgency=low

  * Apply upstream patch 002.
  * Fix dangling symlinks in doc directory (closes: #346157, #346158).

 -- Matthias Klose <doko@debian.org>  Tue,  7 Feb 2006 18:46:32 +0100

readline5 (5.1-5) unstable; urgency=high

  * Fix names of libc-dev packages in lib64readline5-dev dependencies.
    Closes: #344723.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Dec 2005 00:23:24 +0100

readline5 (5.1-4) unstable; urgency=low

  * Add 32/64 bit build dependencies, lib64ncurses-dev doesn't yet depend
    on it.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Dec 2005 18:36:32 +0000

readline5 (5.1-3) unstable; urgency=medium

  * Don't call dh_shlibdeps for the lib64readline5 package.
  * Fix build on GNU/kFreeBSD. Closes: #343323.
  * Fix callback interface (closes: #343477).

 -- Matthias Klose <doko@debian.org>  Thu, 22 Dec 2005 17:29:52 +0100

readline5 (5.1-2) unstable; urgency=low

  * Don't check for cross compilation, when building for 64bit biarchs.
  * Build 64bit packages for i386 and powerpc as well.
  * /etc/inputrc: Activate bindings for forward-/backward-word,
    when term=rxvt. Ubuntu #18927.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Dec 2005 00:03:36 +0100

readline5 (5.1-1) unstable; urgency=low

  * New upstream version (5.1 release).
    - Works better with non-ASCII input (closes: #332635).
  * readline-common conflicts/replaces libreadline-common (closes: #339452).

 -- Matthias Klose <doko@debian.org>  Fri,  9 Dec 2005 21:22:24 +0100

readline5 (5.0+5.1rc1-1) unstable; urgency=low

  * New upstream version (5.1-rc1).
    - Fix rlfe command line parsing (closes: #308315).
  * Remove patches applied upstream: rl-del-backspace-policy.
  * Remove /etc/inputrc on purge (closes: #334142).

 -- Matthias Klose <doko@debian.org>  Fri, 11 Nov 2005 12:36:59 +0000

readline5 (5.0+5.1b1-1) unstable; urgency=low

  * New upstream version (5.1-beta1).

 -- Matthias Klose <doko@debian.org>  Thu, 13 Oct 2005 16:03:09 +0200

readline5 (5.0+5.1a1-1) unstable; urgency=low

  * New upstream version (5.1-alpha1).
  * Remove patches applied upstream:
    - readline50-*, rl-setenv, rl-display, rl-self-insert, rl-examples.
  * libreadline5 now depends on libreadline-common, now holding the
    readline user documentation and the configuration file /etc/inputrc.
  
 -- Matthias Klose <doko@debian.org>  Sun, 11 Sep 2005 17:05:28 +0200

readline5 (5.0-11) unstable; urgency=low

  * libreadline5 now depends on readline-common, now holding the
    readline user documentation and the configuration file /etc/inputrc.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Sep 2005 20:18:27 +0000

readline5 (5.0-10) unstable; urgency=low

  * Update support/config.* files (closes: #290910).

 -- Matthias Klose <doko@debian.org>  Sun, 23 Jan 2005 09:58:30 +0100

readline5 (5.0-9) unstable; urgency=low

  * Fix bug in readline's self-insert command (addresses: #290103).
  * Fix reference to upstream version (closes: #282252).
  * Fix re-read-init-file (C-xC-r) not to read /etc/inputrc twice,
    but /etc/inputrc and ~/.inputrc. Thanks to Vasco Pedro.
  * rlfe: Use Unix98 pty naming (closes: #287434).

 -- Matthias Klose <doko@debian.org>  Sun, 16 Jan 2005 13:01:21 +0100

readline5 (5.0-8) unstable; urgency=low

  * Fix segfault in the ``reverse-search-history'' feature of the readline
    library, if the search string matches a previously entered command (ie
    history) and must overflow the current screen width. Addresses: #288940.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Jan 2005 08:11:36 +0100

readline5 (5.0-7) unstable; urgency=low

  * Add build dependency on autotools-dev (closes: #281429).

 -- Matthias Klose <doko@debian.org>  Mon, 15 Nov 2004 22:53:33 +0100

readline5 (5.0-6) unstable; urgency=low

  * Build-depend on texinfo (closes: #280867).

 -- Matthias Klose <doko@debian.org>  Fri, 12 Nov 2004 08:47:26 +0100

readline5 (5.0-5) unstable; urgency=high

  * Remove the libreadline-common package, until sarge is released.
    Install the man pages as readline5(3) and history5(3), install the
    user manual as rl5userman. Closes: #279366.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Nov 2004 08:05:15 +0100

readline5 (5.0-4) unstable; urgency=low

  * Fix typo in rules file.

 -- Matthias Klose <doko@debian.org>  Tue, 26 Oct 2004 07:35:50 +0200

readline5 (5.0-3) unstable; urgency=low

  * Prefer using setenv over putenv.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Oct 2004 11:09:20 +0200

readline5 (5.0-2) unstable; urgency=medium

  * Remove sgid bits from directories (closes: #274667).
  * libreadline5 now depends on libreadline-common | libreadline4 (<< 4.3-13),
    becoming installable in sarge, but leaving out the rluserman docs,
    which is in libreadline-common (closes: #276536).

 -- Matthias Klose <doko@debian.org>  Fri, 15 Oct 2004 00:09:16 +0200

readline5 (5.0-1) unstable; urgency=low

  * Package maintainers: Do not build-depend on libreadline5-dev, unless you
    want to stick your package to unstable. readline is part of base and
    therefore frozen for sarge.

  * New upstream release.
  * Bugs fixed in this release (and the alpha/beta releases):
    - Fixed a bug that caused the prompt to overwrite previous output when the
      output doesn't contain a newline and the locale supports multibyte
      characters.  This same change fixes the problem of readline redisplay
      slowing down dramatically as the line gets longer in multibyte locales.
      Closes: #179883.
    - Speedups to the multibyte character redisplay code. Closes: #154063.
    - Fixed a problem with EOF detection when using rl_event_hook.
      Closes: #144585.
    - Display of multibyte character in readline prompts. Closes: #195678.
    - Broken column output in UTF-8 locale. Closes: #161750.
    - Fix a bug in the callback read-char interface. Closes: #172849.
  * New shared object name. Obsoletes bug about changed symbol size.
    Closes: #153974.
  * Exported readline functions now have a rl_ prefix. Closes: #65484.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Sep 2004 11:48:34 +0200

readline4 (4.3-6) unstable; urgency=low

  * Fix package sections and priorities.
  * Add support for freebsd (closes: #200537).
  * Add package rlfe (closes: #154400).

 -- Matthias Klose <doko@debian.org>  Fri, 26 Sep 2003 19:05:31 +0200

readline4 (4.3-5) unstable; urgency=low

  * Fix ~ command working in UTF-8 locales (closes: #175127).
  * Apply upstream patches 001, 002, 003, 004, 005.
  * Do not redefine __attribute__ (closes: #191209).

 -- Matthias Klose <doko@debian.org>  Sun,  1 Jun 2003 09:39:44 +0200

readline4 (4.3-5) unstable; urgency=low

  * debian/patches/mbutil.dpatch: Fix segfault in mbutil.c.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Sep 2002 13:12:12 +0200

readline4 (4.3-4) unstable; urgency=medium

  * Apply upstream patches:
    - Fix segfault (closes: #154462).
    - Fix for repeating an edit in vi mode.
  * Build dependency on 'mawk | awk' (closes: #154462).

 -- Matthias Klose <doko@debian.org>  Wed, 31 Jul 2002 20:10:44 +0200

readline4 (4.3-3) unstable; urgency=high

  * Do it again. Really link against ncurses library.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Jul 2002 21:44:00 +0200

readline4 (4.3-2) unstable; urgency=high

  * Link against ncurses library.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Jul 2002 18:21:40 +0200

readline4 (4.3-1) unstable; urgency=low

  * New upstream version:
    - Handle multibyte characters (obsoletes and closes: #113078).
    - Implement toggable overwrite mode (closes: #36651).
    - Fixed the event loop to handle the case where the input file descriptor
      is invalidated (closes: #134615).
    - Added some default key bindings for common escape sequences produced by
      HOME and END keys (closes: #150429).
  * Move debug library to /usr/lib/debug.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Jul 2002 12:40:06 +0200

readline4 (4.2.91-1) unstable; urgency=low

  * New upstream version (4.3 beta1).

 -- Matthias Klose <doko@debian.org>  Fri, 31 May 2002 00:15:04 +0200

readline4 (4.2a-5) unstable; urgency=low

  * Adjust for netbsd linker options (closes: #130349).

 -- Matthias Klose <doko@debian.org>  Sun,  3 Feb 2002 22:03:03 +0100

readline4 (4.2a-4) unstable; urgency=high

  * Taken from the current upstream sources: Make the symlinked directory
    completion behavior introduced in readline-4.2a a user-settable option.
    If `mark-symlinked-directories' is set to `on', the symlinked directory
    completion behavior is disabled, and symlinks that point to directories
    have a slash appended (closes: #120854, #123602).
    Same severity as the bash upload (2.05-4), as bash depends on it.
  * Introduced a new private (but global) variable, so the shlibs version
    needs an update again.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Jan 2002 16:00:08 +0100

readline4 (4.2a-3) unstable; urgency=medium

  * 4.2a has a new variable `rl_readline_version', so the shlibs version
    needs to be upgraded to (>= 4.2a).
  * Don't rely on HAVE_CONFIG_H macro in installed headers (closes: #125398).
  * Upstream: The completion code now attempts to do a better job of preserving
    the case of the word the user typed if ignoring case in completions.
    Closes: #74861.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Dec 2001 00:16:28 +0100

readline4 (4.2a-2) unstable; urgency=high

  * Update config.{sub,guess} from ftp://ftp.gnu.org/pub/gnu/config/.
    Closes: #119847.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Nov 2001 19:00:07 +0100

readline4 (4.2a-1) unstable; urgency=low

  * Final release.
  * This is mainly a bugfix and code cleanup release (as you can see
    from the version number as well). Fixes the following Debian reports:
    - readline doesn't ignore null prompts anymore (closes: #105231).
    - Don't include -I/usr/include in CFLAGS.
  * Fix location of upstream source in copyright file (closes: #118481).

 -- Matthias Klose <doko@debian.org>  Wed, 14 Nov 2001 21:56:29 +0100

readline4 (4.2a-0rc1) unstable; urgency=low

  * New upstream (bug fix) version, release candidate.

 -- Matthias Klose <doko@debian.org>  Fri,  2 Nov 2001 10:35:55 +0100

readline4 (4.2a-0beta1) unstable; urgency=low

  * New upstream (bug fix) version.
  * Move manual pages to libreadline4 package (closes: #111303).

 -- Matthias Klose <doko@debian.org>  Thu, 11 Oct 2001 22:51:21 +0200

readline4 (4.2-5) unstable; urgency=low

  * Include stdio.h in history.h (closes: #101166).
  * libreadline4-dbg suggests libreadline4-dev (closes: #101790).

 -- Matthias Klose <doko@debian.org>  Sat, 21 Jul 2001 19:02:53 +0200

readline4 (4.2-4) unstable; urgency=low

  * Fix tilde.h for C++ compatibility as well.

 -- Matthias Klose <doko@debian.org>  Sat,  5 May 2001 01:03:03 +0200

readline4 (4.2-3) unstable; urgency=low

  * Fix header for C++ compatibility (closes #95048, #95758).
  * Fixed upstream: closes #55626, #75346.

 -- Matthias Klose <doko@debian.org>  Wed,  2 May 2001 23:06:00 +0200

readline4 (4.2-2) unstable; urgency=low

  * Tighten shlibs dependency to >= 4.2-2.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Apr 2001 00:37:22 +0200

readline4 (4.2-1) unstable; urgency=low

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Mon,  9 Apr 2001 18:28:54 +0200

readline4 (4.2-0beta2) unstable; urgency=low

  * New upstream release 4.2-beta2.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Mar 2001 23:18:10 +0200

readline4 (4.2-0) unstable; urgency=low

  * New upstream release 4.2-beta1.

 -- Matthias Klose <doko@debian.org>  Tue,  6 Feb 2001 21:12:58 +0100

readline4 (4.1-4) unstable; urgency=low

  * Fix build error.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Nov 2000 23:27:16 +0100

readline4 (4.1-3) unstable; urgency=low

  * debian/patches/rl-hurd-build.dpatch: Build on the Hurd (fixes #75342).

 -- Matthias Klose <doko@debian.org>  Sat, 18 Nov 2000 12:55:16 +0100

readline4 (4.1-2) unstable; urgency=low

  * Include stdio.h in readline.h (fixes #70669).

 -- Matthias Klose <doko@debian.org>  Mon,  9 Oct 2000 20:35:23 +0200

readline4 (4.1-1) frozen unstable; urgency=low

  * Final release. Documentation fixes.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Mar 2000 20:08:45 +0100

readline4 (4.1-0beta5db1) frozen unstable; urgency=low

  * Updated beta version.
  * debian/control: Remove libreadline4-doc suggestions (fixes #57547, #57578).

 -- Matthias Klose <doko@debian.org>  Sun, 20 Feb 2000 21:10:34 +0100

readline4 (4.1-0beta3db3) unstable; urgency=low

  * Update rl.ctrl-char patch from Dan Jacobowitz.
    Fixes #54805, #54639, #54612.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Jan 2000 10:26:51 +0100

readline4 (4.1-0beta3db2) unstable; urgency=low

  * debian/control: libreadline4-dev depends on libncurses5-dev.

 -- Matthias Klose <doko@debian.org>  Thu,  6 Jan 2000 12:11:29 +0100

readline4 (4.1-0beta3db1) unstable; urgency=low

  * New upstream version.
  * Remove three patches integrated upstream.
  * Reports fixed in upstream version: #16797, #22480, #47525.
  * Put rluserman.info into library package (fixes: #32075).
  * In lib/readline/chardefs.h do not assume char is signed (fixes #53253).

 -- Matthias Klose <doko@debian.org>  Sat,  1 Jan 2000 16:22:30 +0100

readline4 (4.0-0.1) experimental; urgency=low

  * New upstream version.
  * Fixed upstream (closes: #22480).
  * Separated from bash package, since readline is available as a
    separate source package upstream. The upstream author writes:
    "It's not appropriate to build shared libraries from the readline
     shipped with bash.  That is designed to be linked directly into bash."
  * Make /usr/doc compatibility links.
  * debian/patches/conf-update.dpatch: New config files from automake
    (closes #33745).
  * debian/rules: Add Build-Depends.
  * debian/rules: Install info files with default perms (closes: #49879).
  * readline headers fixed upstream (closes: #47525).
  * debian/etc.inputrc: Document how to enable German umlauts. Should close
    #38397?  Should close #33168, #36077 and #42775 as well? The first report
    (33168) contains some more information how to get xemacs to work with 8bit.
  * Support to build on the Hurd (closes: #35769).
    Patch from Marcus.Brinkmann@ruhr-uni-bochum.de.
  * debian/patches/rl-del-backspace-policy.dpatch: Handle Delete/Backspace
    keys according to Debian policy.
  * debian/patches/rl-paren-matching.dpatch: Turn on parens matching.
  * debian/patches/rl-shell-memleak.dpatch: Fix memory leak.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Nov 1999 18:52:00 +0100
